
# htons

Converts a short 16-bit unsigned integer from host byte order to network byte order.

```
uint16_t htons(uint16_t)
```

The `htons` function converts a short 16-bit unsigned integer from host byte order to network byte order.

**Parent topic:**[DTrace Function Reference](../reference/dtrace_functions.md)

